import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A piano that can be played with the computer keyboard.
 * 
 * @author: M. Kolling
 * @version: 0.1
 */
public class Piano extends World
{
    /**
     * Make the piano.
     */
    public Piano() 
    {
        super(800, 340, 1);
 
        String[] keyNames = {"a","s","d","f","g","h","j","k","l",";","'","\\"};
        int count = 0;
        while(count < 12) {
            addObject(new Key(keyNames[count]), count * 63 + 32, 140);
            count = count + 1;
        }
        
        /*addObject(new Key("a"), 32, 140);
        addObject(new Key("j"), 95, 140);
        addObject(new Key("g"), 160, 140);*/
    }
}